Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 143465 - Function overrides
Function overrides
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Petr Nejedly
issues@javafx
:
Depends on:
Blocks: 130138
  Show dependency treegraph
 
Reported: 2008-08-11 14:02 UTC by David Strupl
Modified: 2009-11-20 04:26 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Strupl 2008-08-11 14:02:48 UTC
You can now use the "override" keyword on member functions.  It is required when overriding; it is an error if you
claim to be overriding and do not actually override.  Status: implemented, currently warns if you fail to use the
override keyword where required, error if you use the override keyword and are not actually overriding.
Comment 1 David Strupl 2008-08-19 09:12:48 UTC
Check code completion with respect to this.
Comment 2 David Strupl 2008-10-29 14:25:37 UTC
Post 1.0.
Comment 3 Anton Chechel 2009-10-13 14:18:39 UTC
Old issue, probably already fixed.
Comment 4 jprach 2009-11-18 05:01:10 UTC
Confirmed. It's already fixed.
Comment 5 Alexandr Scherbatiy 2009-11-20 04:26:13 UTC
verified in Build 200911200201


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo